KSMBD.CONTROL(8)

NAME
ksmbd.control - control ksmbd.mountd and ksmbd daemons

SYNOPSIS
ksmbd.control [-v] -s
ksmbd.control [-v] -r
ksmbd.control [-v] -l
ksmbd.control [-v] -d COMPONENT
ksmbd.control [-v] -c

DESCRIPTION
ksmbd.control controls ksmbd.mountd(8) user mode and ksmbd kernel mode daemons.

OPTIONS

-s, --shutdown
    Shutdown both ksmbd.mountd and ksmbd and exit.

-r, --reload
    Notify ksmbd.mountd of changes and exit.

-l, --list
    List ksmbd.mountd shares and exit.

-d, --debug=COMPONENT
    Toggle ksmbd debug printing for COMPONENT and exit. COMPONENT is all, smb, auth, vfs, oplock, ipc, conn, or rdma. Enabled ones are output enclosed in brackets ([]).

-c, --ksmbd-version
    Output ksmbd version information and exit.

-v, --verbose
    Be verbose.

-V, --version
    Output version information and exit.

-h, --help
    Display this help and exit.

EXIT STATUS
The exit status is 0 on success and 1 on failure.

COPYRIGHT
Copyright © 2015-2022 ksmbd-tools contributors. License GPLv2: GNU GPL version 2 <https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

REPORTING BUGS
For bug reports, use the issue tracker at https://github.com/cifsd-team/ksmbd-tools/issues.

SEE ALSO

Utilities
    ksmbd.addshare(8), ksmbd.adduser(8), ksmbd.mountd(8)